## gammapy 0.15

=== Makefile ===
# Makefile with some convenient quick ways to do common things

PROJECT = gammapy
CYTHON ?= cython

help:
	@echo ''
	@echo ' make targets:'
	@echo ''
	@echo '     help               Print this help message (the default)'
	@echo ''
	@echo '     clean              Remove generated files'
	@echo '     clean-repo         Remove all untracked files and directories (use with care!)'
	@echo ''
	@echo '     test               Run pytest'
	@echo '     test-cov           Run pytest with coverage'
	@echo '     test-nb            Test tutorial notebooks'
	@echo '     test-scripts       Test example scripts'
	@echo ''
	@echo '     docs-sphinx        Build docs (Sphinx only)'
	@echo '     docs-all           Build docs (including Jupyter notebooks)'
	@echo '     docs-show          Open local HTML docs in browser'
	@echo ''
	@echo '     trailing-spaces    Remove trailing spaces at the end of lines in *.py files'
	@echo '     black              Run black code formatter'
	@echo '     isort              Run isort code formatter to sort imports'
	@echo '     clean-nb           Run black and clean output from tutorial notebooks'
	@echo '     polish             Run trailing-spaces, black, isort and clean-nb'
	@echo ''
	@echo '     flake8             Run flake8 static code analysis'
	@echo '     pylint             Run pylint static code analysis'
	@echo '     pydocstyle         Run docstring checks'
	@echo '     dataset-index      Create download dataset index json file'
	@echo '     dataset-download   Download the latest data to the $GAMMAPY_DATA folder'
	@echo ''
	@echo ' Note that most things are done via `python setup.py`, we only use'
	@echo ' make for things that are not trivial to execute via `setup.py`.'
	@echo ''
	@echo ' setup.py commands:'
	@echo ''
	@echo '     python setup.py --help-commands'
	@echo '     python setup.py install'
	@echo '     python setup.py bdist_conda'
	@echo '     python setup.py develop'
	@echo ''
	@echo ' To get info about your Gammapy installation and setup run this command'
	@echo ''
	@echo '     gammapy info'
	@echo ''
	@echo ' For this to work, Gammapy needs to be installed and on your PATH.'
	@echo ' If it is not, then use this equivalent command:'
	@echo ''
	@echo '     python -m gammapy info'
	@echo ''
	@echo ' More info:'
	@echo ''
	@echo ' * Gammapy code: https://github.com/gammapy/gammapy'
	@echo ' * Gammapy docs: https://docs.gammapy.org/'
	@echo ''
	@echo ' Most common commmands to hack on Gammapy:'
	@echo ''
	@echo '     make help          Print help message with all commands'
	@echo '     pip install -e .   Install Gammapy in editable mode'
	@echo '     gammapy info       Check install and versions'
	@echo '     make clean         Remove auto-generated files'
	@echo '     pytest             Run Gammapy tests (give folder or filename and options)'
	@echo '     make test-cov      Run all tests and measure coverage'
	@echo '     make docs          Build documentation locally'
	@echo ''

clean:
	rm -rf build dist docs/_build docs/api temp/ docs/notebooks docs/_static/notebooks \
	  htmlcov MANIFEST v gammapy.egg-info .eggs .coverage .cache .pytest_cache \
	  tutorials/.ipynb_checkpoints
	find . -name "*.pyc" -exec rm {} \;
	find . -name "*.so" -exec rm {} \;
	find gammapy -name '*.c' -exec rm {} \;
	find . -name __pycache__ | xargs rm -fr

clean-repo:
	@git clean -f -x -d

test:
	python -m pytest -v gammapy

test-cov:
	python -m pytest -v gammapy --cov=gammapy --cov-report=html

test-nb:
	python -m gammapy.utils.tutorials_test

test-scripts:
	python -m gammapy.utils.scripts_test

clean-nb:
	python -m gammapy jupyter --src=tutorials black
	python -m gammapy jupyter --src=tutorials strip

docs-sphinx:
	cd docs && python -m sphinx . _build/html -b html
	python -m gammapy.utils.tutorials_links

docs-all:
	python -m gammapy.utils.tutorials_process --src="$(src)" --nbs="$(nbs)"
	cd docs && python -m sphinx . _build/html -b html
	python -m gammapy.utils.tutorials_links

docs-show:
	open docs/_build/html/index.html

trailing-spaces:
	find $(PROJECT) examples docs -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;

black:
	black $(PROJECT)/ examples/ docs/ \
	--exclude="extern/|docs/_static|docs/_build" \
	--line-length 88

isort:
	isort -rc gammapy examples docs -s docs/conf.py

polish: black isort trailing-spaces clean-nb;

# Note: flake8 is very fast and almost never has false positives
flake8:
	flake8 $(PROJECT) \
	--exclude=gammapy/extern,gammapy/conftest.py,__init__.py \
	--ignore=E501

# TODO: once the errors are fixed, remove the -E option and tackle the warnings
# Note: pylint is very thorough, but slow, and has false positives or nitpicky stuff
pylint:
	pylint -E $(PROJECT)/ \
	--ignore=gammapy/extern \
	-d E0611,E1101,E1103 \
	--msg-template='{C}: {path}:{line}:{column}: {msg} ({symbol})'

# TODO: fix and re-activate check for the following:
# D103: Missing docstring in public function
# D202: No blank lines allowed after function docstring (found 1)
# D205: 1 blank line required between summary line and description (found 0)
# D400: First line should end with a period (not ')')
# D401: First line should be in imperative mood; try rephrasing (found 'Function')
# D403: First word of the first line should be properly capitalized ('Add', not 'add')
pydocstyle:
	pydocstyle $(PROJECT) \
	--convention=numpy \
	--match-dir='^(?!extern).*' \
	--match='(?!test_).*\.py' \
	--add-ignore=D100,D102,D103,D104,D105,D200,D202,D205,D400,D401,D403,D410

dataset-index:
	python dev/datasets/make_dataset_index.py dataset-index

dataset-download:
	gammapy download datasets --out=$(GAMMAPY_DATA) --tests

# TODO: add test and code quality checks for `examples`

## gammapy 0.7

=== debian/changelog ===
gammapy (0.7-1build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 23:03:00 +0000

gammapy (0.7-1build1) disco; urgency=medium

  * No-change rebuild to build for python3.7 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Nov 2018 08:18:41 +0000

gammapy (0.7-1) unstable; urgency=low

  * Initial release. (Closes: #795369)

 -- Ole Streicher <olebole@debian.org>  Mon, 23 Apr 2018 15:12:43 +0200

=== debian/control ===
Source: gammapy
Section: python
Priority: optional
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               libjs-jquery,
               libjs-jquery-datatables,
               python3-all-dev,
               python3-astropy,
               python3-astropy-helpers,
               python3-click,
               python3-healpy,
               python3-numpy,
               python3-regions,
               python3-reproject,
               python3-scipy,
               python3-setuptools,
               python3-yaml
Standards-Version: 4.1.4
Homepage: https://github.com/gammapy/gammapy
Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy

Package: python3-gammapy
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-datatables,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-matplotlib, python3-scipy, python3-skimage
Description: Python package for gamma-ray astronomy
 Gammapy is an in-development affiliated package of Astropy
 that builds on the core scientific Python stack to provide
 tools to simulate and analyse the gamma-ray sky for telescopes
 such as CTA, H.E.S.S., VERITAS, MAGIC, HAWC and Fermi-LAT.

## gammapy 0.8

=== debian/changelog ===
gammapy (0.8-2) unstable; urgency=low

  * Fix CI test dependencies and Recommends

 -- Ole Streicher <olebole@debian.org>  Thu, 27 Sep 2018 08:58:34 +0200

gammapy (0.8-1) unstable; urgency=low

  * New upstream version 0.8. Rediff patches
  * Drop Install-the-scripts-only-for-the-Python-3-version.patch: not needed
  * Add build time and CI tests
  * Push Standards-Version to 4.2.1. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Tue, 25 Sep 2018 11:18:50 +0200

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,9 @@
                python3-reproject,
                python3-scipy,
                python3-setuptools,
+               python3-skimage,
                python3-yaml
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/gammapy/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
@@ -30,7 +31,11 @@
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Recommends: python3-matplotlib, python3-scipy, python3-skimage
+Recommends: python3-matplotlib,
+            python3-reproject,
+            python3-scipy,
+            python3-skimage,
+            python3-yaml
 Description: Python package for gamma-ray astronomy
  Gammapy is an in-development affiliated package of Astropy
  that builds on the core scientific Python stack to provide

## gammapy 0.9

=== debian/changelog ===
gammapy (0.9-1) unstable; urgency=low

  * New upstream version 0.9. Rediff patch
  * Add pytest.mark.remote_data

 -- Ole Streicher <olebole@debian.org>  Fri, 30 Nov 2018 13:20:41 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,8 @@
                python3-click,
                python3-healpy,
                python3-numpy,
+               python3-pytest,
+               python3-pytest-remotedata,
                python3-regions,
                python3-reproject,
                python3-scipy,

## gammapy 0.10

=== debian/changelog ===
gammapy (0.10-1) unstable; urgency=low

  * New upstream version 0.10. Rediff patches
  * Push Standards-Version to 4.3.0. Change last URL to https
  * Push compat to 12

 -- Ole Streicher <olebole@debian.org>  Tue, 29 Jan 2019 17:52:26 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
                dh-python,
                libjs-jquery,
                libjs-jquery-datatables,
@@ -21,7 +21,7 @@
                python3-setuptools,
                python3-skimage,
                python3-yaml
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://github.com/gammapy/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

PYTHON3:=$(shell py3versions -vr)
export PYBUILD_NAME=gammapy
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_install:
	dh_install
	rm -rf debian/python3-gammapy/usr/bin

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/python3-gammapy/usr/share/doc/python3-gammapy/examples/*.py

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
test-python%:
	python$* setup.py test -vv --args -v

override_dh_auto_test: $(PYTHON3:%=test-python%)
endif

## gammapy 0.12

=== debian/changelog ===
gammapy (0.12-1) unstable; urgency=low

  * New upstream version 0.12. Rediff patches
  * Push Standards-Version to 4.4.0. No changes needed
  * Adjust d/copyright

 -- Ole Streicher <olebole@debian.org>  Fri, 19 Jul 2019 09:57:59 +0200

## gammapy 0.13

=== debian/changelog ===
gammapy (0.13-1) unstable; urgency=low

  * Add tests on salsa
  * New upstream version 0.13. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 01 Aug 2019 08:39:10 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                python3-setuptools,
                python3-skimage,
                python3-yaml
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/gammapy/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy

=== debian/tests/control ===
Test-Command: cd $ADTTMP && python3 -c "import gammapy; exit(gammapy.test())"
Depends: python3-gammapy,
         python3-healpy,
         python3-skimage,
         python3-scipy,
         python3-yaml,
         python3-reproject
Restrictions: allow-stderr

## gammapy 0.15

=== debian/changelog ===
gammapy (0.15-1) unstable; urgency=medium

  * Update auto_test to use pytest
  * Push Standards-Version to 4.4.1. No changes required.
  * Remove d/compat
  * New upstream version 0.15. Rediff patches (Closes: #943620)
  * Fix setuptools_scm version number
  * Update build dependencies
  * Initialize __version__ with None if version info is unavailable
  * Don't install gammapy binary

 -- Ole Streicher <olebole@debian.org>  Mon, 09 Dec 2019 17:33:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,30 @@
 Priority: optional
 Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: cython3,
+               debhelper-compat (= 12),
                dh-python,
                libjs-jquery,
                libjs-jquery-datatables,
                python3-all-dev,
-               python3-astropy,
-               python3-astropy-helpers,
-               python3-click,
+               python3-astropy (>= 3.2~),
+               python3-click (>= 7.0~),
                python3-healpy,
-               python3-numpy,
+               python3-importlib-metadata,
+               python3-jsonschema (>= 3.0~),
+               python3-numpy (>= 1.16~),
+               python3-parfive,
+               python3-pydantic (>= 1.0),
                python3-pytest,
                python3-pytest-remotedata,
-               python3-regions,
+               python3-regions (>= 0.4~),
                python3-reproject,
-               python3-scipy,
+               python3-scipy (>= 1.2~),
                python3-setuptools,
+               python3-setuptools-scm,
                python3-skimage,
-               python3-yaml
-Standards-Version: 4.4.0
+               python3-yaml (>= 5.1~)
+Standards-Version: 4.4.1
 Homepage: https://github.com/gammapy/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy

## gammapy 0.16

=== Makefile ===
--- 
+++ 
@@ -71,7 +71,7 @@
 clean:
 	rm -rf build dist docs/_build docs/api temp/ docs/notebooks docs/_static/notebooks \
 	  htmlcov MANIFEST v gammapy.egg-info .eggs .coverage .cache .pytest_cache \
-	  tutorials/.ipynb_checkpoints
+	  tutorials/.ipynb_checkpoints docs/modeling/gallery
 	find . -name "*.pyc" -exec rm {} \;
 	find . -name "*.so" -exec rm {} \;
 	find gammapy -name '*.c' -exec rm {} \;
@@ -125,7 +125,7 @@
 flake8:
 	flake8 $(PROJECT) \
 	--exclude=gammapy/extern,gammapy/conftest.py,__init__.py \
-	--ignore=E501
+	--ignore=E501,W503
 
 # TODO: once the errors are fixed, remove the -E option and tackle the warnings
 # Note: pylint is very thorough, but slow, and has false positives or nitpicky stuff

=== debian/changelog ===
gammapy (0.16-1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:16:54 +0100

gammapy (0.16-1) unstable; urgency=low

  * New upstream version 0.16. Rediff patches
  * Push Standards-Version to 4.5.0. No changes needed.
  * Remove unused paragraph from d/copyright

 -- Ole Streicher <olebole@debian.org>  Mon, 03 Feb 2020 10:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
                python3-setuptools-scm,
                python3-skimage,
                python3-yaml (>= 5.1~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/gammapy/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy

## gammapy 0.17

=== Makefile ===
--- 
+++ 
@@ -101,7 +101,7 @@
 	python -m gammapy.utils.tutorials_links
 
 docs-all:
-	python -m gammapy.utils.tutorials_process --src="$(src)" --nbs="$(nbs)"
+	python -m gammapy.utils.tutorials_process --src="$(src)" --nbs="$(nbs)" --fmt="$(fmt)"
 	cd docs && python -m sphinx . _build/html -b html
 	python -m gammapy.utils.tutorials_links

=== debian/changelog ===
gammapy (0.17-2) unstable; urgency=medium

  * Remove cythonized file. (Closes: #966927)

 -- Ole Streicher <olebole@debian.org>  Wed, 05 Aug 2020 14:44:49 +0200

gammapy (0.17-1) unstable; urgency=low

  * New upstream version 0.17. Rediff patches
  * Remove unneeded minversions in build deps

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Apr 2020 11:34:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: gammapy
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Ole Streicher <olebole@debian.org>
 Build-Depends: cython3,
                debhelper-compat (= 12),
                dh-python,
@@ -14,9 +14,9 @@
                python3-healpy,
                python3-importlib-metadata,
                python3-jsonschema (>= 3.0~),
-               python3-numpy (>= 1.16~),
+               python3-numpy,
                python3-parfive,
-               python3-pydantic (>= 1.0),
+               python3-pydantic,
                python3-pytest,
                python3-pytest-remotedata,
                python3-regions (>= 0.4~),
@@ -27,9 +27,9 @@
                python3-skimage,
                python3-yaml (>= 5.1~)
 Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
+Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Homepage: https://github.com/gammapy/gammapy
-Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
 
 Package: python3-gammapy
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=gammapy
export LC_ALL=C.UTF-8
export SETUPTOOLS_SCM_PRETEND_VERSION=${DEB_VERSION_UPSTREAM}

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_fixperms:
	dh_fixperms
	chmod a-x debian/python3-gammapy/usr/share/doc/python3-gammapy/examples/*.py

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP && pytest-3 --pyargs gammapy
Depends: python3-gammapy,
         python3-healpy,
         python3-reproject,
         python3-scipy,
         python3-skimage,
         python3-yaml
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/gammapy/gammapy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gammapy 0.18.2

=== Makefile ===
--- 
+++ 
@@ -87,23 +87,22 @@
 	python -m pytest -v gammapy --cov=gammapy --cov-report=html
 
 test-nb:
-	python -m gammapy.utils.tutorials_test
+	python -m gammapy.utils.notebooks_test
 
 test-scripts:
 	python -m gammapy.utils.scripts_test
 
 clean-nb:
-	python -m gammapy jupyter --src=tutorials black
-	python -m gammapy jupyter --src=tutorials strip
+	python -m gammapy jupyter --src=docs --r black
+	python -m gammapy jupyter --src=docs --r strip
 
 docs-sphinx:
 	cd docs && python -m sphinx . _build/html -b html
-	python -m gammapy.utils.tutorials_links
 
 docs-all:
-	python -m gammapy.utils.tutorials_process --src="$(src)" --nbs="$(nbs)" --fmt="$(fmt)"
+	python -m gammapy.utils.notebooks_process --src="$(src)" --nbs="$(nbs)" --fmt="$(fmt)"
 	cd docs && python -m sphinx . _build/html -b html
-	python -m gammapy.utils.tutorials_links
+	python -m gammapy.utils.notebooks_links --src="$(src)" --nbs="$(nbs)"
 
 docs-show:
 	open docs/_build/html/index.html

=== debian/changelog ===
gammapy (0.18.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present
    in machine-readable debian/copyright).

  [ Ole Streicher ]
  * Update homepage
  * New upstream version 0.18.2
  * Rediff patches
  * Remove retrieval of notebook data URL in tests
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no" to d/control
  * Push dh-compat to 13

 -- Ole Streicher <olebole@debian.org>  Tue, 24 Aug 2021 09:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: cython3,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-python,
                libjs-jquery,
                libjs-jquery-datatables,
@@ -26,10 +26,11 @@
                python3-setuptools-scm,
                python3-skimage,
                python3-yaml (>= 5.1~)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
-Homepage: https://github.com/gammapy/gammapy
+Homepage: https://gammapy.org
+Rules-Requires-Root: no
 
 Package: python3-gammapy
 Architecture: any

## gammapy 0.19

=== debian/changelog ===
gammapy (0.19-1) unstable; urgency=medium

  * New upstream version 0.19. Closes: #1000428, #994783
  * Rediff patches
  * Remove unneeded build deps and versions
  * Don't fail tests on missing example paths
  * Simplify d/rules

 -- Ole Streicher <olebole@debian.org>  Wed, 24 Nov 2021 07:52:11 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,7 @@
                libjs-jquery-datatables,
                python3-all-dev,
                python3-astropy (>= 3.2~),
-               python3-click (>= 7.0~),
-               python3-healpy,
+               python3-click,
                python3-importlib-metadata,
                python3-jsonschema (>= 3.0~),
                python3-numpy,
@@ -24,7 +23,6 @@
                python3-scipy (>= 1.2~),
                python3-setuptools,
                python3-setuptools-scm,
-               python3-skimage,
                python3-yaml (>= 5.1~)
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy

## gammapy 0.20

=== debian/changelog ===
gammapy (0.20-1) unstable; urgency=medium

  * New upstream version 0.20
  * Rediff patches
  * Add new build deps matplotlib and iminuit
  * Skip failing tests on 32-bit platforms

 -- Ole Streicher <olebole@debian.org>  Tue, 07 Jun 2022 11:00:20 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,10 @@
                python3-all-dev,
                python3-astropy (>= 3.2~),
                python3-click,
+               python3-iminuit,
                python3-importlib-metadata,
                python3-jsonschema (>= 3.0~),
+               python3-matplotlib,
                python3-numpy,
                python3-parfive,
                python3-pydantic,

## gammapy 0.20.1

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	@echo '     test               Run pytest'
 	@echo '     test-cov           Run pytest with coverage'
 	@echo '     test-nb            Test tutorial notebooks'
-	@echo '     test-scripts       Test example scripts'
 	@echo ''
 	@echo '     docs-sphinx        Build docs (Sphinx only)'
 	@echo '     docs-all           Build docs (including Jupyter notebooks)'
@@ -31,7 +30,6 @@
 	@echo '     pylint             Run pylint static code analysis'
 	@echo '     pydocstyle         Run docstring checks'
 	@echo '     dataset-index      Create download dataset index json file'
-	@echo '     dataset-download   Download the latest data to the $GAMMAPY_DATA folder'
 	@echo ''
 	@echo ' Note that most things are done via `python setup.py`, we only use'
 	@echo ' make for things that are not trivial to execute via `setup.py`.'
@@ -57,7 +55,7 @@
 	@echo ' * Gammapy code: https://github.com/gammapy/gammapy'
 	@echo ' * Gammapy docs: https://docs.gammapy.org/'
 	@echo ''
-	@echo ' Most common commmands to hack on Gammapy:'
+	@echo ' Most common commands to hack on Gammapy:'
 	@echo ''
 	@echo '     make help          Print help message with all commands'
 	@echo '     pip install -e .   Install Gammapy in editable mode'
@@ -69,10 +67,12 @@
 	@echo ''
 
 clean:
-	rm -rf build dist docs/_build docs/api temp/ docs/notebooks docs/_static/notebooks \
+	rm -rf build dist docs/_build docs/api temp/ docs/_static/notebooks \
 	  htmlcov MANIFEST v gammapy.egg-info .eggs .coverage .cache .pytest_cache \
-	  tutorials/.ipynb_checkpoints docs/modeling/gallery
+	  docs/modeling/gallery
+	find . -name ".ipynb_checkpoints" -prune -exec rm -rf {} \;
 	find . -name "*.pyc" -exec rm {} \;
+	find . -name "*.reg" -exec rm {} \;
 	find . -name "*.so" -exec rm {} \;
 	find gammapy -name '*.c' -exec rm {} \;
 	find . -name __pycache__ | xargs rm -fr
@@ -89,23 +89,22 @@
 test-nb:
 	python -m gammapy.utils.notebooks_test
 
-test-scripts:
-	python -m gammapy.utils.scripts_test
-
 clean-nb:
 	python -m gammapy jupyter --src=docs --r black
 	python -m gammapy jupyter --src=docs --r strip
 
 docs-sphinx:
-	cd docs && python -m sphinx . _build/html -b html
+	cd docs && python -m sphinx . _build/html -b html -j auto
 
 docs-all:
-	python -m gammapy.utils.notebooks_process --src="$(src)" --nbs="$(nbs)" --fmt="$(fmt)"
-	cd docs && python -m sphinx . _build/html -b html
-	python -m gammapy.utils.notebooks_links --src="$(src)" --nbs="$(nbs)"
+	python -m gammapy jupyter tar --out docs/_downloads/notebooks-dev.tar
+	python -m gammapy.utils.notebooks_process --src="$(src)"
+	cd docs && python -m sphinx . _build/html -b html -j auto
+	python -m gammapy.utils.notebooks_links --src="$(src)"
 
 docs-show:
-	open docs/_build/html/index.html
+	python docs/serve.py
+
 
 trailing-spaces:
 	find $(PROJECT) examples docs -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;
@@ -151,7 +150,8 @@
 dataset-index:
 	python dev/datasets/make_dataset_index.py dataset-index
 
-dataset-download:
-	gammapy download datasets --out=$(GAMMAPY_DATA) --tests
+# Note: codespell will pick its options from setup.cfg
+codespell:
+	codespell
 
 # TODO: add test and code quality checks for `examples`

=== debian/changelog ===
gammapy (0.20.1-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 19:34:29 +0000

gammapy (0.20.1-1) unstable; urgency=medium

  * New upstream version 0.20.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 19 Jun 2022 20:41:47 +0200

## gammapy 1.0

=== debian/changelog ===
gammapy (1.0-2) unstable; urgency=medium

  * Replace deprecated numpy type aliases (Closes: #1027222)
  * Push Standards-Version to 4.6.2, no changes needed
  * Fix inhomogeneous array shape deprecation

 -- Ole Streicher <olebole@debian.org>  Mon, 16 Jan 2023 08:59:35 +0100

gammapy (1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * Rediff patches
  * Push Standards-Version to 4.6.1. No changes needed
  * Adjust build dependencies and minversions

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Nov 2022 11:15:49 +0100

=== debian/control ===
--- 
+++ 
@@ -9,24 +9,25 @@
                libjs-jquery,
                libjs-jquery-datatables,
                python3-all-dev,
-               python3-astropy (>= 3.2~),
-               python3-click,
-               python3-iminuit,
+               python3-astropy (>= 5~),
+               python3-click (>= 7~),
+               python3-extension-helpers,
+               python3-iminuit (>= 2.8~),
                python3-importlib-metadata,
-               python3-jsonschema (>= 3.0~),
-               python3-matplotlib,
-               python3-numpy,
+               python3-jsonschema (>= 3~),
+               python3-matplotlib (>= 3.4~),
+               python3-numpy (>= 1.20~),
                python3-parfive,
-               python3-pydantic,
+               python3-pydantic (>= 1.4~),
                python3-pytest,
                python3-pytest-remotedata,
-               python3-regions (>= 0.4~),
+               python3-regions (>= 0.5~),
                python3-reproject,
-               python3-scipy (>= 1.2~),
+               python3-scipy (>= 1.4~),
                python3-setuptools,
                python3-setuptools-scm,
                python3-yaml (>= 5.1~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Homepage: https://gammapy.org

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=gammapy
export LC_ALL=C.UTF-8
export PYBUILD_AFTER_TEST=rm -f {build_dir}/test.fits

%:
	dh $@ --with python3 --buildsystem=pybuild

## gammapy 1.1

=== debian/changelog ===
gammapy (1.1-5) unstable; urgency=medium

  * fix RootResults default for scipy dev version (Closes: #1071703)
  * Push Standards-Version to 4.7.0. No changes needed
  * Run dh_numpy during shlibs

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Jun 2024 20:08:25 +0200

gammapy (1.1-4) unstable; urgency=medium

  * Python 3.12 tests and configs (Closes: #1058047)

 -- Ole Streicher <olebole@debian.org>  Mon, 22 Apr 2024 12:06:01 +0200

gammapy (1.1-3) unstable; urgency=medium

  * Avoid import from astropy.coordinates.angle_utilities (Astropy 6.0)

 -- Ole Streicher <olebole@debian.org>  Tue, 28 Nov 2023 09:44:07 +0100

gammapy (1.1-2) unstable; urgency=medium

  * Increase tolerances in test_ndmap.py (Closes: #1054646)

 -- Ole Streicher <olebole@debian.org>  Mon, 30 Oct 2023 21:22:39 +0100

gammapy (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * Rediff patches. Drop patches applied upstream.
  * Drop unneeded minversions  in build-depends
  * Skip failing test

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Jul 2023 18:53:16 +0200

=== debian/control ===
--- 
+++ 
@@ -10,24 +10,24 @@
                libjs-jquery-datatables,
                python3-all-dev,
                python3-astropy (>= 5~),
-               python3-click (>= 7~),
+               python3-click,
                python3-extension-helpers,
-               python3-iminuit (>= 2.8~),
+               python3-iminuit,
                python3-importlib-metadata,
-               python3-jsonschema (>= 3~),
+               python3-jsonschema,
                python3-matplotlib (>= 3.4~),
-               python3-numpy (>= 1.20~),
+               python3-numpy,
                python3-parfive,
-               python3-pydantic (>= 1.4~),
+               python3-pydantic,
                python3-pytest,
                python3-pytest-remotedata,
                python3-regions (>= 0.5~),
                python3-reproject,
-               python3-scipy (>= 1.4~),
+               python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-yaml (>= 5.1~)
-Standards-Version: 4.6.2
+               python3-yaml
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
 Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
 Homepage: https://gammapy.org

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export PYBUILD_NAME=gammapy
export LC_ALL=C.UTF-8
export PYBUILD_AFTER_TEST=rm -f {build_dir}/*.fits

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

## gammapy 1.2

=== debian/changelog ===
gammapy (1.2-1ubuntu1) oracular; urgency=medium

  * Do not assume endianness in some test assertions to avoid
    FTBFS on s390x

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 11 Aug 2024 07:35:06 +0000

gammapy (1.2-1) unstable; urgency=medium

  * New upstream version 1.2 (Closes: #1076303; #1074627)
  * Refresh patches
  * Use new dh-sequence-python3
  * Depends on new Pydantic 2.x

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 15:12:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: gammapy
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
 Build-Depends: cython3,
                debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                libjs-jquery,
                libjs-jquery-datatables,
                python3-all-dev,
@@ -18,7 +19,7 @@
                python3-matplotlib (>= 3.4~),
                python3-numpy,
                python3-parfive,
-               python3-pydantic,
+               python3-pydantic (>= 2.0~),
                python3-pytest,
                python3-pytest-remotedata,
                python3-regions (>= 0.5~),

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

ifeq (32,$(DEB_HOST_ARCH_BITS))
export PYBUILD_TEST_ARGS=-k 'not test_parameter_name and not test_wcsmap_upsample_downsample_wcs and not test_piecewise_spatial_model'
else
export PYBUILD_TEST_ARGS=-k 'not test_parameter_name'
endif

export PYBUILD_NAME=gammapy
export LC_ALL=C.UTF-8
export PYBUILD_AFTER_TEST=rm -f {build_dir}/*.fits

%:
	dh $@ --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

## gammapy 1.3

=== debian/changelog ===
gammapy (1.3-2) unstable; urgency=medium

  * Team upload.
  * Drop python3-importlib-metadata build dependency

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 14:15:37 +0200

gammapy (1.3-1) unstable; urgency=medium

  * New upstream version 1.3
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Thu, 28 Nov 2024 17:23:30 +0100

gammapy (1.2-4) unstable; urgency=medium

  * Team upload.
  * debian/rules: Factor the way tests are excluded.
  * Add validate-method-early.patch to fix a subtle problem
    when building the package on a single-CPU system.

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Nov 2024 14:55:00 +0100

gammapy (1.2-3) unstable; urgency=medium

  * Team Upload
  * Sync s390x autopkgtest exclusion with build-time test

 -- Alexandre Detiste <tchet@debian.org>  Mon, 12 Aug 2024 07:52:44 +0200

gammapy (1.2-2) unstable; urgency=medium

  * Team Upload
  * Skip 2 tests broken on big-endian (Closes: #1078477)
  * Sync i386 autopkgtest exclusion with build-time test

 -- Alexandre Detiste <tchet@debian.org>  Sun, 11 Aug 2024 17:50:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: gammapy
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: python
 Priority: optional
@@ -14,7 +13,6 @@
                python3-click,
                python3-extension-helpers,
                python3-iminuit,
-               python3-importlib-metadata,
                python3-jsonschema,
                python3-matplotlib (>= 3.4~),
                python3-numpy,

=== debian/tests/control ===
Tests: basic
Depends: python3-gammapy,
         python3-reproject,
         python3-scipy,
         python3-yaml
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/gammapy/gammapy-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## gammapy 2.0

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 PROJECT = gammapy
 CYTHON ?= cython
+version = dev
+release = $(version)
 
 help:
 	@echo ''
@@ -14,22 +16,18 @@
 	@echo ''
 	@echo '     test               Run pytest'
 	@echo '     test-cov           Run pytest with coverage'
-	@echo '     test-nb            Test tutorial notebooks'
 	@echo ''
 	@echo '     docs-sphinx        Build docs (Sphinx only)'
-	@echo '     docs-all           Build docs (including Jupyter notebooks)'
 	@echo '     docs-show          Open local HTML docs in browser'
 	@echo ''
 	@echo '     trailing-spaces    Remove trailing spaces at the end of lines in *.py files'
 	@echo '     black              Run black code formatter'
 	@echo '     isort              Run isort code formatter to sort imports'
-	@echo '     clean-nb           Run black and clean output from tutorial notebooks'
-	@echo '     polish             Run trailing-spaces, black, isort and clean-nb'
+	@echo '     polish             Run trailing-spaces, black and isort'
 	@echo ''
 	@echo '     flake8             Run flake8 static code analysis'
 	@echo '     pylint             Run pylint static code analysis'
 	@echo '     pydocstyle         Run docstring checks'
-	@echo '     dataset-index      Create download dataset index json file'
 	@echo ''
 	@echo ' Note that most things are done via `python setup.py`, we only use'
 	@echo ' make for things that are not trivial to execute via `setup.py`.'
@@ -63,13 +61,13 @@
 	@echo '     make clean         Remove auto-generated files'
 	@echo '     pytest             Run Gammapy tests (give folder or filename and options)'
 	@echo '     make test-cov      Run all tests and measure coverage'
-	@echo '     make docs          Build documentation locally'
+	@echo '     make docs-sphinx   Build documentation locally'
 	@echo ''
 
 clean:
 	rm -rf build dist docs/_build docs/api temp/ docs/_static/notebooks \
 	  htmlcov MANIFEST v gammapy.egg-info .eggs .coverage .cache .pytest_cache \
-	  docs/modeling/gallery
+	  docs/modeling/gallery docs/tutorials
 	find . -name ".ipynb_checkpoints" -prune -exec rm -rf {} \;
 	find . -name "*.pyc" -exec rm {} \;
 	find . -name "*.reg" -exec rm {} \;
@@ -86,44 +84,26 @@
 test-cov:
 	python -m pytest -v gammapy --cov=gammapy --cov-report=html
 
-test-nb:
-	python -m gammapy.utils.notebooks_test
-
-clean-nb:
-	python -m gammapy jupyter --src=docs --r black
-	python -m gammapy jupyter --src=docs --r strip
-
 docs-sphinx:
 	cd docs && python -m sphinx . _build/html -b html -j auto
 
-docs-all:
-	python -m gammapy jupyter tar --out docs/_downloads/notebooks-dev.tar
-	python -m gammapy.utils.notebooks_process --src="$(src)"
-	cd docs && python -m sphinx . _build/html -b html -j auto
-	python -m gammapy.utils.notebooks_links --src="$(src)"
-
 docs-show:
 	python docs/serve.py
-
 
 trailing-spaces:
 	find $(PROJECT) examples docs -name "*.py" -exec perl -pi -e 's/[ \t]*$$//' {} \;
 
 black:
-	black $(PROJECT)/ examples/ docs/ \
-	--exclude="extern/|docs/_static|docs/_build" \
-	--line-length 88
+	black $(PROJECT)
 
 isort:
 	isort -rc gammapy examples docs -s docs/conf.py
 
-polish: black isort trailing-spaces clean-nb;
+polish: black isort trailing-spaces;
 
 # Note: flake8 is very fast and almost never has false positives
 flake8:
-	flake8 $(PROJECT) \
-	--exclude=gammapy/extern,gammapy/conftest.py,__init__.py \
-	--ignore=E501,W503
+	flake8 $(PROJECT)
 
 # TODO: once the errors are fixed, remove the -E option and tackle the warnings
 # Note: pylint is very thorough, but slow, and has false positives or nitpicky stuff
@@ -147,11 +127,8 @@
 	--match='(?!test_).*\.py' \
 	--add-ignore=D100,D102,D103,D104,D105,D200,D202,D205,D400,D401,D403,D410
 
-dataset-index:
-	python dev/datasets/make_dataset_index.py dataset-index
-
 # Note: codespell will pick its options from setup.cfg
 codespell:
-	codespell
+	codespell gammapy
 
 # TODO: add test and code quality checks for `examples`

=== docs/binder/requirements.txt ===
# binder install requirements
# for releases this should be a given version
git+https://github.com/gammapy/gammapy#egg=gammapy

=== debian/changelog ===
gammapy (2.0-2) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Fix fail to build souce after successful build.
  * Remove 'Files: docs/_static/copybutton.js' section and license.

  [ Ole Streicher ]
  * Add python3-pytest-astropy to test dependencies
  * d/watch: switch upstream source to Github

 -- Ole Streicher <olebole@debian.org>  Wed, 15 Oct 2025 11:02:24 +0200

gammapy (2.0-1) unstable; urgency=medium

  * New upstream version 2.0
  * Rediff patches
  * d/u/metadata: fix References metadata
  * Remove outdated build-dep minversions
  * Push Standards-Version to 4.7.2, no changes needed
  * New build dependency python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Sat, 30 Aug 2025 23:23:21 +0200

=== debian/control ===
Source: gammapy
Standards-Version: 4.7.2
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders:
 Ole Streicher <olebole@debian.org>,
Section: python
Priority: optional
Build-Depends:
 cython3,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libjs-jquery,
 libjs-jquery-datatables,
 python3-all-dev,
 python3-astropy,
 python3-click,
 python3-extension-helpers,
 python3-iminuit,
 python3-jsonschema,
 python3-matplotlib,
 python3-numpy,
 python3-numpy-dev,
 python3-parfive,
 python3-pydantic (>= 2.0~),
 python3-pytest,
 python3-pytest-astropy,
 python3-pytest-remotedata,
 python3-regions,
 python3-reproject,
 python3-scipy,
 python3-setuptools,
 python3-setuptools-scm,
 python3-yaml,
Vcs-Browser: https://salsa.debian.org/debian-astro-team/gammapy
Vcs-Git: https://salsa.debian.org/debian-astro-team/gammapy.git
Homepage: https://gammapy.org

Package: python3-gammapy
Architecture: any
Depends:
 libjs-jquery,
 libjs-jquery-datatables,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-matplotlib,
 python3-reproject,
 python3-scipy,
 python3-skimage,
 python3-yaml,
Description: Python package for gamma-ray astronomy
 Gammapy is an in-development affiliated package of Astropy
 that builds on the core scientific Python stack to provide
 tools to simulate and analyse the gamma-ray sky for telescopes
 such as CTA, H.E.S.S., VERITAS, MAGIC, HAWC and Fermi-LAT.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

EXCLUDE_TESTS = not test_parameter_name
ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
  # two tests assumes little-endian
  EXCLUDE_TESTS += and not test_obscore_structure
  EXCLUDE_TESTS += and not test_parameters_create_table
else ifeq (32,$(DEB_HOST_ARCH_BITS))
  # precision issue on i386
  EXCLUDE_TESTS += and not test_wcsmap_upsample_downsample_wcs
  EXCLUDE_TESTS += and not test_piecewise_spatial_model
endif

export PYBUILD_NAME=gammapy
export LC_ALL=C.UTF-8
export PYBUILD_TEST_ARGS=-k '$(EXCLUDE_TESTS)'
export PYBUILD_AFTER_TEST=rm -f {build_dir}/*.fits

%:
	dh $@ --buildsystem=pybuild

override_dh_shlibdeps:
	dh_shlibdeps
	dh_numpy3

=== debian/tests/control ===
Tests: basic
Depends:
 python3-gammapy,
 python3-pytest,
 python3-pytest-astropy,
 python3-reproject,
 python3-scipy,
 python3-yaml
Restrictions: allow-stderr

=== debian/watch ===
Version: 5
Template: Github
Owner: gammapy
Project: gammapy
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/(?:[-_]?[Vv]?((?:[1-9]\d*)(?:\.\d+)+))

## gammapy 2.0.1

=== Makefile ===
--- 
+++ 
@@ -24,20 +24,7 @@
 	@echo '     black              Run black code formatter'
 	@echo '     isort              Run isort code formatter to sort imports'
 	@echo '     polish             Run trailing-spaces, black and isort'
-	@echo ''
-	@echo '     flake8             Run flake8 static code analysis'
 	@echo '     pylint             Run pylint static code analysis'
-	@echo '     pydocstyle         Run docstring checks'
-	@echo ''
-	@echo ' Note that most things are done via `python setup.py`, we only use'
-	@echo ' make for things that are not trivial to execute via `setup.py`.'
-	@echo ''
-	@echo ' setup.py commands:'
-	@echo ''
-	@echo '     python setup.py --help-commands'
-	@echo '     python setup.py install'
-	@echo '     python setup.py bdist_conda'
-	@echo '     python setup.py develop'
 	@echo ''
 	@echo ' To get info about your Gammapy installation and setup run this command'
 	@echo ''
@@ -101,10 +88,6 @@
 
 polish: black isort trailing-spaces;
 
-# Note: flake8 is very fast and almost never has false positives
-flake8:
-	flake8 $(PROJECT)
-
 # TODO: once the errors are fixed, remove the -E option and tackle the warnings
 # Note: pylint is very thorough, but slow, and has false positives or nitpicky stuff
 pylint:
@@ -127,8 +110,4 @@
 	--match='(?!test_).*\.py' \
 	--add-ignore=D100,D102,D103,D104,D105,D200,D202,D205,D400,D401,D403,D410
 
-# Note: codespell will pick its options from setup.cfg
-codespell:
-	codespell gammapy
-
 # TODO: add test and code quality checks for `examples`

=== debian/changelog ===
gammapy (2.0.1-1) unstable; urgency=medium

  * New upstream version 2.0.1
  * Drop patches that were applied upstream
  * Rename CI config file to d/salsa-ci.yml
  * Remove version.py on clean
  * Don't install CITATION files into python distdir

 -- Ole Streicher <olebole@debian.org>  Mon, 05 Jan 2026 14:28:35 +0100

gammapy (2.0-6) unstable; urgency=medium

  * Team upload.
  * Update patch to fix autopkgtest regression with pytest 9
    (Closes: #1122930).

 -- Stuart Prescott <stuart@debian.org>  Tue, 16 Dec 2025 16:13:43 +1100

gammapy (2.0-5) unstable; urgency=medium

  * Team upload.
  * Change astropy compatibility patch to only affect astropy >= 7.2.

 -- Stuart Prescott <stuart@debian.org>  Sun, 14 Dec 2025 15:17:46 +1100

gammapy (2.0-4) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream patch for Astropy compatibility (Closes: #1122082).

 -- Stuart Prescott <stuart@debian.org>  Tue, 09 Dec 2025 11:54:44 +1100

gammapy (2.0-3) unstable; urgency=medium

  * Team upload.
  * Add upstream patch for Pytest 9.x

 -- Alexandre Detiste <tchet@debian.org>  Sun, 16 Nov 2025 01:07:16 +0100
